<?xml version="1.0" encoding="UTF-8"?>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                template="../../templates/main-template.xhtml">

    <ui:define name="content">
        <h:form id="form">
            <p:dataTable var="job" value="#{jobBean.list()}"
                         rows="12" paginator="true" id="jobs" paginationPosition="bottom"
                         paginatorTemplate="{CurrentPageReport}  {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                         rowsPerPageTemplate="6,12,16" rowIndexVar="rowIndex">
                <p:column headerText="#" width="50">
                    <h:outputText value="#{rowIndex + 1}"/>
                </p:column>
                <p:column headerText="Name">
                    <h:outputText value="#{job.name}"/>
                </p:column>
                <p:column width="50" style="text-align: center;">
                    <p:commandLink styleClass="fa fa-eye buttons"
                                   ajax="false"
                                   action="#{jobBean.viewJob(job)}"/>
                </p:column>
                <p:column width="50" style="text-align: center;">
                    <p:commandLink styleClass="fa fa-pencil buttons"
                                   ajax="false"
                                   action="#{jobBean.editJob(job)}"/>
                </p:column>
                <p:column width="50" style="text-align: center;">
                    <p:commandLink styleClass="fa fa-trash buttons"
                                   action="#{jobBean.deleteJob(job)}"
                                   update="jobs">
                        <p:confirm header="Delete job"
                                   message="Delete job with name: #{job.name}?"
                                   icon="pi pi-exclamation-triangle"/>
                    </p:commandLink>
                </p:column>
            </p:dataTable>
        </h:form>
        <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
            <p:commandButton value="Yes" type="button" styleClass="ui-confirmdialog-yes"/>
            <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no"/>
        </p:confirmDialog>
        <div class="ui-g">
            <div class="ui-g-nopad ui-g-12 ui-md-4 ui-lg-2">
                <p:linkButton outcome="#{jobBean.createJob()}" styleClass="buttons" value="Create"/>
            </div>
        </div>
    </ui:define>

</ui:composition>
